Subject: Re: bug#19152: 25.0.50; Suggestions for M-x commands

From: Ivan Shmakov <[email-masked]>
Date: Mon, 24 Nov 2014 07:01:56 +0000

>>>>> Stefan Monnier <[email-masked]> writes:

 >> M-x beginning-of-visual-line RET; then, after some time, – M-x <up>
 >> RET – the same message gets shown, even though M-x <up> is for sure
 >> shorter than M-x b-v.

 > Sounds like a plain bug.

	One more reason for the new features to provide a way for the
	user to opt out, – just in case they turn to be buggy.

	Frankly, I do not consider this feature helpful, and have no
	intent on fixing this particular issue in its implementation.

	If anything, I’d just live with the workaround I’ve provided
	earlier [1].

[1] http://debbugs.gnu.org/19013#msg30

 >> I believe there should be a variable to customize this behavior
 >> (say, suggest-shorter-command-limit; defaulting to 5, but with nil
 >> as an option to disable such suggestions altogether.)  As a
 >> workaround, I’ve simply disabled it entirely (see the patch MIMEd.)

 > I don't think that's needed.

	The mere fact that bug#19152 was filed suggests otherwise.

-- 
FSF associate member #7257  http://boycottsystemd.org/  … 3013 B6A0 230E 334A